
#ifndef DOCKED_H
#define DOCKED_H

void display_short_range_chart (HDC hdc);
void display_galactic_chart (HDC hdc);
void display_data_on_planet (HDC hdc);
void show_distance_to_planet (HDC hdc);
void move_cursor_to_origin (HDC hdc);
void find_planet_by_name (HDC hdc, char *find_name);
void display_market_prices (HDC hdc);
void display_commander_status (HDC hdc);
int calc_distance_to_planet (struct galaxy_seed from_planet, struct galaxy_seed to_planet);
void highlight_stock (HDC hdc, int i);
void select_previous_stock (HDC hdc);
void select_next_stock (HDC hdc);
void buy_stock (HDC hdc);
void sell_stock (HDC hdc);
void display_inventory (HDC hdc);
void equip_ship (HDC hdc);
void select_next_equip (HDC hdc);
void select_previous_equip (HDC hdc);
void buy_equip (HDC hdc);


extern int cross_x;
extern int cross_y;

#endif

