#ifndef SWAT_H
#define SWAT_H

#include "space.h"

#define MISSILE_UNARMED	-2
#define MISSILE_ARMED	-1

extern int ecm_active;
extern int missile_target;
extern int in_battle;

void reset_weapons (void);
void tactics (HDC hdc, int un);
int in_target (int type, double x, double y, double z);
void check_target (int un, struct univ_object *flip);
void check_missiles (int un);
void draw_laser_lines (HDC hdc);
int fire_laser (void);
void cool_laser (void);
void arm_missile (void);
void unarm_missile (void);
void fire_missile (void);
void activate_ecm (int ours);
void time_ecm (void);
void random_encounter (void);
void explode_object (int un);
void abandon_ship (HDC hdc);

#endif
